## hdf5-filter-plugin 0.0~git20210706.d469f17

=== LZ4/src/CMakeLists.txt ===
set(SOURCES H5Zlz4.c)

set(INCLUDE_DIRS ${HDF5_INCLUDE_DIRS} ${LZ4_INCLUDE_DIRS})
set(LINK_LIBS ${LZ4_LIBRARIES})

if(CMAKE_SYSTEM_NAME MATCHES Windows)
    #
    # we need to link with the winsock2 library
    #
    list(APPEND LINK_LIBS ws2_32.lib)
endif()


add_library(lz4_plugin MODULE ${SOURCES})
target_include_directories(lz4_plugin PRIVATE ${INCLUDE_DIRS})
target_link_libraries(lz4_plugin PRIVATE ${LINK_LIBS})
set_target_properties(lz4_plugin PROPERTIES OUTPUT_NAME h5lz4
                      LIBRARY_OUTPUT_DIRECTORY ${CMAKE_HDF5_PLUGIN_PATH}
                      ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_HDF5_PLUGIN_PATH}
                      RUNTIME_OUTPUT_DIRECTORY ${CMAKE_HDF5_PLUGIN_PATH}
                      LIBRARY_OUTPUT_DIRECTORY_DEBUG ${CMAKE_HDF5_PLUGIN_PATH}
                      LIBRARY_OUTPUT_DIRECTORY_RELEASE ${CMAKE_HDF5_PLUGIN_PATH}
                      RUNTIME_OUTPUT_DIRECTORY_DEBUG ${CMAKE_HDF5_PLUGIN_PATH}
                      RUNTIME_OUTPUT_DIRECTORY_RELEASE ${CMAKE_HDF5_PLUGIN_PATH}
                      )

install(TARGETS lz4_plugin
        DESTINATION ${CMAKE_INSTALL_PLUGINDIR})

=== LZ4/test/CMakeLists.txt ===
add_executable(lz4_test_prg1 h5ex_d_lz4.c)
target_include_directories(lz4_test_prg1 PRIVATE
    ${HDF5_INCLUDE_DIRS})
target_link_libraries(lz4_test_prg1 PRIVATE
    ${HDF5_LIBRARIES})

add_test(NAME "HDF5:external_filters:LZ4"
         COMMAND lz4_test_prg1
         WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/LZ4/test)
set_tests_properties("HDF5:external_filters:LZ4"
                     PROPERTIES
                     ENVIRONMENT
                     "HDF5_PLUGIN_PATH=$<TARGET_FILE_DIR:lz4_plugin>")

=== debian/changelog ===
hdf5-filter-plugin (0.0~git20210706.d469f17-1) unstable; urgency=medium

  * New upstream release.
  * add patch to make tests work
    (thanks to Enirco Zini)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Nov 2022 22:54:31 +0000

=== debian/control ===
Source: hdf5-filter-plugin
Priority: optional
Section: science
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libhdf5-dev
	, liblz4-dev
	, libbz2-dev
Homepage: https://github.com/nexusformat/HDF5-External-Filter-Plugins
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/hdf5-filter-plugin
Vcs-Git: https://salsa.debian.org/debian/hdf5-filter-plugin.git

Package: hdf5-filter-plugin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: external filters for HDF5: LZ4, BZip2, Bitshuffle
 The external filter mechanism introduced with HDF5 1.8.12 allows
 applications to utilize custom filters not shipped by the HDF5
 core library without recompiling your application. This package
 provides external filters for HDF5 for
 .
  - the LZ4 compression algorithm
  - BZip2 compression
  - Bitshuffle

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=cmake -- -DENABLE_BITSHUFFLE_PLUGIN=yes -DENABLE_LZ4_PLUGIN=yes -DENABLE_BZIP2_PLUGIN=yes

override_dh_auto_install:
	find
	dh_auto_install --destdir=debian/hdf5-filter-plugin/
